darcs-2.8.4: a distributed, interactive, smart revision control system

Portability | portable
Stability | experimental
Maintainer | darcs-devel@darcs.net
Safe Haskell | None

Darcs.Ssh

Description

Synopsis

- copySSH :: RemoteDarcs -> SshFilePath -> FilePath -> IO ()
- data SSHCmd
  - = SSH
  - | SCP
  - | SFTP
- getSSH :: SSHCmd -> IO (String, [String])
- environmentHelpSsh :: ([String], [String])
- environmentHelpScp :: ([String], [String])
- environmentHelpSshPort :: ([String], [String])
- remoteDarcs :: RemoteDarcs -> String

# Documentation

copySSH :: RemoteDarcs -> SshFilePath -> FilePath -> IO ()

data SSHCmd

Constructors

SSH |
SCP |
SFTP |

getSSH :: SSHCmd -> IO (String, [String])

Return the command and arguments needed to run an ssh command First try the appropriate darcs environment variable and SSH_PORT defaulting to ssh and no specified port.

environmentHelpSsh :: ([String], [String])

environmentHelpScp :: ([String], [String])

environmentHelpSshPort :: ([String], [String])

remoteDarcs :: RemoteDarcs -> String